About program

 Next

What is CHM eBook Reader for Pocket PC?

CHM eBook Reader for Pocket PC is a program, which allows you to view files in the most common Windows help format *.CHM (also known as "compiled HTML") on the Pocket PC platform.

CHM format is used not only for software help systems, but also for electrinic books publishing.

What is CHM eBook Reader for Pocket PC used for?

There are a lot of eBooks in CHM format. In our opinion, the strongest feature of CHM format is its full-text search capability.

CHM eBook Reader for Pocket PC is compatible with Windows Mobile 2002, Windows Mobile 2003, Windows Mobile 2003 Phone Edition, Windows Mobile 2003 SE, and Windows Mobile 2005.

All versions of CHM eBook Reader for Pocket PC including version 2.5, don't support Windows Mobile Smartphone Edition!

We're working on this issue.
Please note, that Internet Explorer for Pocket PC 2002 does not support CSS (Cascading Style Sheets) at all, so some CHM eBooks may look strange.

Key features:

  • Opening CHM files of any size not longer than in 2 seconds, even huge Microsoft Press CHM eBooks;
  • Bookmarks support, autobookmarks;
  • Full-Text Search in a whole CHM file;

Other features:

  • Support of TOC (Table of Contents);
  • Index view;
  • User-friendly graphical interface that accurately reproduces the interface paradigm of the CHM reader for Windows PC platform;
  • Handling Microsoft ClearType technology for best font display;
  • Document ranging: you can view a document both in its original size or zoomed to the window size;
  • Customizable font size;
  • Joystick support.
  • Support of full-screen mode;
  • Support of Drag mode (you can drag window content by stilus or even by finger).
See also: How to use CHM eBook Reader for Pocket PC
Next


How to get a registered version?

 Previous Next

The best way to purchase our products is to get online registration through a third party secure billing service provided by Plimus Inc. (San Diego, CA).

This service also offer you offline ordering options - by phone, mail, fax, and wire transfer. To place an order by mail, fax, or wire transfer use the online form and then choose one of the payment options you may find in the Payment option section of the form.

After registering you will receive the registration information within 48 business hours (or earlier) by e-mail. Please find all the details at the Order Page.

As a registered user of the program, you can:

  • Use the program without trial limitations;
  • Be notified about new releases;
  • Get free technical support and updates during one year;
  • Purchase Update Subscription License for the next year with 30% discount.


Installation

There are two simple ways to install the program:

Installation directly from your Pocket PC.

  1. Please download to your Pocket PC the latest version of the CHM eBook Reader for Pocket PC Installation Package CAB file from;
  2. Using the Pocket PC File Explorer application, find downloaded CAB file and tap it to install CHM eBook Reader for Pocket PC;
  3. Installation screen appears, which allows you to install CHM eBook Reader for Pocket PC to your Pocket PC. Follow the onscreen instructions until the process is completed.

Installation from Desktop or Notebook to your Pocket PC.

  1. Please download to your Pocket PC the latest version of the CHM eBook Reader for Pocket PC Installation Package CAB file from;
  2. Connect your Pocket PC to your Desktop or Notebook computer;
  3. Open ActiveSync on your PC and allow it's synchronization process to complete;
  4. Run the downloaded installation package from your desktop or notebook computer;
  5. Installation screen appears, which allows you to install CHM eBook Reader for Pocket PC to your Pocket PC. Follow the onscreen instructions until the process is completed.
If you prefer to install CHM eBook Reader for Pocket PC in the second way, you should download Microsoft ActiveSync before. Please go to the Microsoft web site for details (http://www.microsoft.com/windowsmobile/downloads/default.mspx).


What's new?

Version 2.5, December 20, 2005:

  • Added support of Windows Mobile 2005;
  • Added on-fly errors correction in images links and file names for CHM e-books from Safari Books (some images were not displayed);
  • Added Key mapping function;
  • Добавлен полноэкранный режим (Fullscreen mode pop-up menu item);
  • Added Drag mode - now you can drag topic content by stylus or finger (Drag mode pop-up menu item);
  • Added Show/hide scrollbars pop-up menu item;
  • Added ability to view large images in a new window (Show Image pop-up menu item);
  • Added mapping buttons to the following functions:
    - Scroll Up
    - Scroll Down
    - Scroll Left
    - Scroll Right
    - Scroll one page Up
    - Scroll one page Down
    - Scroll one page Left
    - Scroll one page Right
  • Fixed autobookmark bug when empty topic was opened;
  • Fixed bug in some JS functions processing (e.g. moving to new location by JS);
  • Several bugs occur while merged CHM files reading were fixed;

Version 2.4, March 20, 2005:

  • Added support of merged chm and *.col files;
  • Added support of external (realtively to the current topic) JS files;
  • Added support of MultiFrame pages;
  • Added Language option (Automatic by default);
  • Added Enable Script option (is off by default). If this option is off, CHM file opening is much faster, but external JS files will not be processed. JS files aren't used in most of CHM eBooks.
  • Added several options for displaying of the CHM internal objects paths for merged CHMs reading.

Version 2.3, November 23, 2004:

  • Added Bookmarks handling functionality:
    - ability to create bookmarks automatically;
    - ability to start CHM document from last saved bookmark;
  • Added user's settings saving (font size, other options)
  • Recent Files menu item added (with various settings);
  • Added last read CHM document autoloading on the program start;
  • Added support for dictionaries, translators, and other programs getting input from the clipboard;
  • Added highlighting of the contexts found by the Search function;
  • Added autoscrolling to the first context on a page, found by the Search function;
  • Joysctick navigation algorithm improved;
  • Added turning CSS (cascade style sheets) ON/OFF option;
  • Fixed bug in the processing TOC links which include non-ASCII characters;
  • Fixed bug in displaying images referred by direct links as <a href="image.jpg">.

Version 2.2, October 15, 2004:

  • VGA (640x480) support for WM 2003 SE;
  • Support of Landscape/Portrait modes switching for WM 2003 SE;
  • Minor bug in the TOC parser fixed (thx Frank aka Cyberfrank);
  • Fixed bug occurs on CHMs with more than 128 bytes HTML files names inside (thx Gilson Oguime).

Version 2.1, September 22, 2004:

  • Ability to use Cyrillic symbols in Search, as well as European languages umlaut symbols added;
  • Search and Index interfaces are improved;
  • Support for Unicode symbols in TOC file added;
  • Search files algorithm in .CHM archives improved;
  • Support for CHM collection files (.CHI) added;
  • Bug in Table of Contents (TOC) parser is fixed.

Version 2.0, August 20, 2004:

  • Windows Mobile 2002 support added;
  • Working with memory optimized;
  • Files search optimized;
  • History navigation improved (back, forward);
  • Support of remote html pages loading added;
  • Jump toolbar button support added for external and internal links;
  • Fixed bug occurs with some charsets.

Version 1.0, May 22, 2004:

  • First public release.


MicroOLAP END USER LICENSE AGREEMENT

NOTICE TO USER:

THIS IS AN AGREEMENT GOVERNING YOUR USE OF THE SOFTWARE TITLED MicroOLAP CHM eBook Reader for Pocket PC, FURTHER DEFINED HEREIN AS "PRODUCT," AND THE LICENSOR OF THE PRODUCT IS WILLING TO PROVIDE YOU WITH ACCESS TO THE PRODUCT ONLY ON THE CONDITION THAT YOU ACCEPT ALL OF THE TERMS AND CONDITIONS CONTAINED IN THIS AGREEMENT. BELOW, YOU ARE ASKED TO ACCEPT THIS AGREEMENT AND CONTINUE TO INSTALL OR, IF YOU DO NOT WISH TO ACCEPT THIS AGREEMENT, TO DECLINE THIS AGREEMENT, IN WHICH CASE YOU WILL NOT BE ABLE TO INSTALL OR OPERATE THE PRODUCT. BY ACKNOWLEDGING YOUR CONSENT HERETO AND BY INSTALLING AND OPERATING THIS PRODUCT YOU ACCEPT ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT. For purposes hereof "Operating" shall mean accessing, storing, loading, installing, Using (as defined below), and copying the Product into the memory of a Client Device, as defined below. "Using" shall mean executing and displaying the product on a Client Device or otherwise benefiting from utilizing, deploying or using the Product or its functionality.

This Electronic End User License Agreement (the "Agreement") is a legal agreement between you (either an individual or an entity), the Licensee, and MicroOLAP Technologies Ltd., ( the "Licensor"), regarding the Product and related support service you are about to install and Operate and/or other related services, including without limitation:

a) all of the contents of the files, including disk(s), CD-ROM(s) or other media with which this Agreement is provided and including all forms of code, such as Source Code, Object Code, dynamic or static libraries, and/or executable files as provided and in a form that is provided by Licensor to you (the "Software"). For the avoidance of doubt, by way of example, but not exclusion, if a specific file is provided by Licensor in Object Code only, the Source Code for such files shall not be deemed a part of the Software provided by Licensor to you. For purposes hereof "Source Code" shall mean the human-readable form of the computer programming code and related system documentation including all comments and any procedural code such as job control language and "Object Code" shall mean computer programs assembled or compiled in magnetic or electronic binary form on software media, which are readable and usable by machines, but not generally readable by humans without reverse-assembly, reverse-compiling, or reverse-engineering.

b) all support services provided to you by Licensor in connection with the Software (the "Services");

c) and all successor upgrades, modified versions, modified modules, revisions, patches, enhancements, fixes, modifications, copies, additions or maintenance releases of the Software, if any, licensed to you by the Licensor (collectively, the "Updates"), and

d) related user documentation and explanatory materials or files provided in written, "online" or electronic form (the "Documentation" and together with the Software, Samples, Updates, and Services the "Product").

For the purposes of this Agreement, "Licensor Site" shall mean the Internet website maintained by or on behalf of Licensor from which the Software is available for download pursuant to a license from Licensor. The Licensor Site is currently located at http://www.microolap.com.

You are subject to the terms and conditions of this End User License Agreement whether you access or obtain the Product directly from the Licensor, or through any other source. For purposes hereof, "you" or "Licensee" means the individual person installing or using the Product on his or her own behalf; or, if the Product is being downloaded or installed on behalf of an organization, such as an employer, "you" means the organization for which the Product is downloaded or installed, then the person accepting this agreement represents hereby that such organization has authorized such person to accept this agreement on the organization's behalf. For purposes hereof the term "organization," without limitation, includes any partnership, limited liability company, corporation, association, joint stock company, trust, joint venture, labor organization, unincorporated organization, or governmental authority.

If you do not agree to the terms and conditions of this Agreement, the Licensor is unwilling to license the Product to you. In such event, you may not Operate the Product in any way.

IF THE LICENSOR AND YOU HAVE AGREED ON AND PROPERLY EXECUTED A SEPARATE CONTEMPORANEOUS OR SUBSEQUENT TERMS OF USE OR EXHIBITS (the "Terms of Use"), WHICH ARE SUPPLEMENTAL, DIFFERENT OR INCONSISTENT WITH THE TERMS OF THIS AGREEMENT, SUCH TERMS OF USE SHALL CONTROL, PROVIDED THAT (i) SUCH TERMS OF USE SPECIFICALLY ACKNOWLEDGE AND REFER TO THIS AGREEMENT, AND (ii) ALL OTHER TERMS AND CONDITIONS OF THIS AGREEMENT REMAIN IN FULL FORCE AND EFFECT.

BEFORE YOU PUT A CHECKMARK AT THE "I ACCEPT THE AGREEMENT" BUTTON AND PRESS "NEXT," PLEASE CAREFULLY READ THE TERMS AND CONDITIONS OF THIS AGREEMENT, AS SUCH ACTIONS ARE A SYMBOL OF YOUR SIGNATURE AND BY CLICKING ON THE "I ACCEPT THE AGREEMENT" AND "NEXT" BUTTONS, YOU ARE CONSENTING TO BE BOUND BY AND ARE BECOMING A PARTY TO THIS AGREEMENT AND AGREE THAT THIS AGREEMENT IS ENFORCEABLE LIKE ANY WRITTEN NEGOTIATED AGREEMENT SIGNED BY YOU. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, CLICK THE "CANCEL" BUTTON AND THE PRODUCT WILL NOT BE INSTALLED ON YOUR CLIENT DEVICE, AS SUCH TERM IS DEFINED BELOW.

For your reference, you may refer to the copy of this Agreement that can be found in installed files of the Software as license.rtf.

You may also receive an electronic copy of this Agreement by contacting Licensor at sales@gf.microolap.com.

1. Proprietary Rights and Non-Disclosure.

1.1. Ownership Rights. You agree that the Product and the authorship, systems, ideas, methods of operation, derivative Documentation and other information contained in the Product, are proprietary intellectual properties and or the valuable trade secrets of the Licensor and are protected by applicable civil and criminal law, and by the law of copyright, trade secret, trademark and patent and international treaties. You may use trademarks only insofar as to identify printed output produced by the Product in accordance with accepted trademark practice, including identification of trademark owner's name. Such use of any trademark does not give you any rights of ownership in that trademark. The Licensor and its suppliers own and retain all right, title, and interest in and to the Product, including all copyrights, patents, trade secret rights, trademarks, and other intellectual property rights therein. Your possession, installation or use of the Product does not transfer to you any title to the intellectual property in the Product, and you will not acquire any rights to the Product except as expressly set forth in this Agreement. All copies of the Product made hereunder must contain the same proprietary notices that appear on and in the Product. Except as stated herein, this Agreement does not grant you any intellectual property rights in the Product.

1.2. Source Code and Modifications. You acknowledge that the source code for the Product is proprietary to the Licensor and constitutes trade secrets of the Licensor. Except as otherwise specifically provided herein or in Terms of Use, you agree not to disassemble, decompile or "unlock", decode or otherwise reverse-translate or reverse-engineer, or attempt in any manner to reconstruct or discover any source code or underlying algorithms of the Product or any part thereof provided solely in Object Code form but you may change, add or delete any files of the licensed copy of the Products and you may adapt or modify the Source Code solely for purposes of Operating a licensed copy of the Product and as expressly permitted pursuant to the type of the License purchased hereunder provided that you may not, in any event, remove or alter any copyright notices or other proprietary notices on any copies of the Product, whether so modified or not, and further provided that any such change, addition, deletion, adaptation or modification voids any express warranty provided herein and terminates any right to support services.

1.3. Confidential Information. You agree that, unless otherwise specifically provided herein the Product, including the specific design and structure of individual programs and the Product, constitute confidential proprietary information of the Licensor or its suppliers and/or licensors. You agree not to transfer, copy, disclose, provide or otherwise make available such confidential information in any form to any third party. For purposes hereof, "License Key" or "Registration Key" shall mean a file or a unique sequence of digit and/or symbols provided to you by the Licensor confirming the purchase of the license from the Licensor, which may carry the information about the License, i.e. its type, the user name and the number of licenses purchased, and enabling the full functionality of the Product in accordance with the License granted under this Agreement. You agree to implement reasonable security measures to protect such confidential information. If you download the Software from the Internet or similar on-line source, you must include the copyright notices resident on the Software with any on-line distribution and on any media you distribute that includes the Software.

2. Grant of License.

2.1. License. Unless otherwise specifically indicated under a valid Terms of Use, the Licensor grants you a non-exclusive and non-transferable license without the right to sublicense (the "License") and Licensee hereby accepts such License as follows, provided that unless otherwise agreed by Licensor or specified by Terms of Use, each License is granted per one Licensee:

a) Trial License. If you have received, downloaded and/or installed a Trial Version of the Product (the "Trial Version") and are hereby granted a Trial License for the Software and you may Operate the Product only for evaluation and demonstration purposes and only during the single applicable evaluation period of thirty (30) days (the "Trial Period"), unless otherwise indicated, from the date of the initial installation. Any use of the Product for other purposes or beyond the applicable evaluation period is strictly prohibited, provided however that, subject to the restrictions contained herein, you may copy and distribute the Trial Version of the Software without any modifications whatsoever, and including this Agreement, to any third party. Licensee shall have no technical support rights during the Trial Period. The Licensor shall not be required to provide any support and Updates, as stated below, for the Trial Version of the Product. During the Trial Period, the Licensor provides no warranty whatsoever and assumes and bears no liability whatsoever for the Trial Version of the Product.

b) Personal Use License. If the Product is licensed under Personal License with Software provided in Object Code only upon the terms specified in the applicable registration, Terms of Use, invoicing or packaging for the Product, you personally may use of the Product solely for Personal Use ("Personal License"). "Personal Use" shall mean personal non-commercial, non-business, non-government Use, and not on behalf or for the benefit of any clients and excludes any commercial purposes whatsoever, which include without limitation: advertising marketing and promotional materials/services on behalf of an actual client, employer, employee or for your own benefit, any products that are commercially distributed, whether or not for a fee, any materials or services for sale or for which fees or charges are paid or received. Upon payment for the License and registration of the Product, you are granted a non-exclusive and non-transferable personal License to (i) install one (1) copy of the Product on up to three (3) Client Devices owned by you, and (ii) subject to the payment of the applicable fees and your compliance with the terms hereof, to Use one (1) copy of the specified version of the Product during the Term of this Agreement, on one (1) of such Client Devices at any given time. Additionally, the individual licensing terms may specify other terms, conditions and restrictions of Operating the Product.

c) Site License. If the Product is licensed with site license terms specified in the applicable product invoicing or packaging for the Product, you may Operate and Use the Product on an unlimited number of Client Devices within a single building owned or leased by your company. Additionally, the individual licensing terms may specify other terms, conditions and restrictions of Using the Product (the "Site License").

d) Business License. If the Product is licensed under Business License with the Software provided in Object Code only upon the terms specified in the applicable Terms of Use, invoicing or packaging for the Product, you may Use of the Product solely for Business Use (the "Business License"). For purposes hereof, "Business Use" shall mean business, commercial, government Use only for internal business purposes of such entity without the right to distribute the applications, frameworks or components developed Using the Software (the "Results") to third parties provided that nothing herein shall be construed as creating any obligations of the Licensor to any end user of the Results. Under the Business License, any Use or Operating of the Product or transfer of the results of Using of the Product on a computer device owned by a third party is strictly prohibited unless a separate License is purchased therefor.

e) Commercial License. If the Product is licensed under Commercial License with the Software provided in Object Code only upon the terms specified in the applicable Terms of Use, invoicing or packaging for the Product, you may Use of the Product solely for Commercial Use (the "Commercial License"). For purposes hereof, "Commercial Use" shall mean business, commercial, government Use with the right to distribute the Results to third parties. Licensee may Use the Product licensed under the Commercial License on an unlimited number of web servers and domains owned, rented or leased by Licensee. Under the Commercial License, any Use or Operating of the Product or transfer of the results of Using of the Product on a computer device owned by a third party is strictly prohibited unless a separate License is purchased therefor.

f) Intranet License. If the Product is licensed with Intranet License terms specified in the applicable product invoicing or packaging for the Product, you may Operate and Use the Product on an unlimited number of Client Devices within a single local area network and/or private computer network under your control (the "Intranet License"). Additionally, the individual licensing terms may specify other terms, conditions and restrictions of Using the Product.

g) Internet License. If the Product is licensed with Internet License terms specified in the applicable product invoicing or packaging for the Product, you may Operate and Use the Product on an unlimited number of Client Devices on a single server accessible via internet (the "Internet License"). Additionally, the individual licensing terms may specify other terms, conditions and restrictions of Using the Product.

h) Compiled Units. If you are granted a Commercial License pursuant to Section 2.1(e) hereof, in addition to the licenses and rights granted therein, Licensor grants you a nonexclusive, deployment-free, royalty-free right to reproduce and distribute the Object Code version of those portions of the Software which are identified in the Documentation as 'compiled units' (the "Compiled Units") provided that you comply with all of the following requirements:

i). you distribute the Compiled Units in Object Code form only in conjunction with and as part of your software application product which adds significant and primary functionality and when the absence of Compiled Units will make your software application inoperable;

ii). you do not use Licensor name, logo or trademarks to market your software application product; and

iii). you include a valid copyright, trademark or any other proprietary notices on your Software identifying the Licensor as the owner of the Compiled Units.

i) Source Code License. The Licensor, pursuant to Terms of Use or invoicing terms, and in conjunction with one of Licenses granted under Section 2 hereof, may grant you certain rights to Software provided in Source Code as follows (the "Source Code License"):

i). For purposes hereof, "Source Code" shall mean the human-readable form of the computer programming code and related system documentation including all comments and any procedural code such as job control language. Provided you have purchased a license to a part of the Software supplied in Source Code form, you may make modifications, enhancements, derivative works and/or extensions to that licensed Source Code provided to you under the terms set forth in this Section 2.1(f).

ii). While the Licensor does not claim any ownership rights in the Results, in the event you develop any modifications, enhancements, derivative works and/or extensions to the licensed Source Code (the "Derivatives"), either independently or jointly with the Licensor, such Derivatives and all rights associated therewith will be the exclusive property of the Licensor.

iii). You shall not grant, either expressly or by implication, any rights, title, interest, or licenses to any Derivatives to any third party. You will, however, be entitled to use such Derivatives under the terms set forth in this Agreement. You hereby assign all right, title and interest in and to such Derivatives to the licensed Source Code to the Licensor.

iv). You also agree to execute, acknowledge and deliver to the Licensor all documents and instruments and do all things and actions Licensor deems necessary or desirable, at no cost to you but at Licensor's expense, to enable the Licensor to obtain and secure such Derivatives anywhere in the World. You agree to secure all necessary rights and obligations from relevant employees, or third parties in order to satisfy the above obligations. You may not distribute the Licensor's Source Code, or any Derivatives, in Source Code form.

v). Under no circumstances may any portion of the Source Code be distributed, disclosed or otherwise made available to any third party without the express, prior written consent of the Licensor. Under no circumstances may the Source Code be used in whole or in part, as the basis for creating a product that provides the same, or substantially the same, functionality as any of the Licensor's product. You will not take any action, or assist or otherwise aid anyone else in taking any action that would, in any way, limit the Licensor's independent development, sale, assignment, licensing or use of its Software or any Derivatives thereof. You will not modify or delete, in whole or part, any copyright, trade secret, proprietary, confidential or other notice thereon or therein, including a prominent notice on the Results "Powered by MicroOLAP CHM eBook Reader for Pocket PC" without the express, prior written consent of the Licensor.

vi). YOU UNDERSTAND, ACKNOWLEDGE AND AGREE THAT SOURCE CODE IS LICENSED "AS IS," AND THAT THE LICENSOR DOES NOT PROVIDE ANY TECHNICAL SUPPORT FOR SOURCE CODE.

j) Business License with Source Code License. If the Product is licensed under Business License with Source Code License upon the terms specified in the applicable Terms of Use, invoicing or packaging for the Product, your rights to Use the Product shall be the rights granted under the Business License together with the rights granted under the Source Code License (the "Business License with Source Code License").

k) Commercial License with Source Code License. If the Product is licensed under Commercial License with Source Code License upon the terms specified in the applicable Terms of Use, invoicing or packaging for the Product, your rights to may Use of the Product shall be the rights granted under the Commercial License together with the rights granted under the Source Code License (the "Commercial License with Source Code License").

l) Customized Licenses. The Licensor may grant you a specific customized terms of License pursuant to a valid Terms of Use signed by both parties hereto in which case such the terms and conditions of the Terms of Use shall be controlling and supersede any conflicting terms of this Agreement.

m) Educational Purpose License, Educational Institution Classroom License, and Educational Institution Site License. If the Product is licensed under an Educational Purpose License upon the terms specified in the applicable Educational Purpose License invoicing or packaging for the Product, you may make use of the Product solely for Educational Purpose. "Educational Purpose" means any non-commercial study or research that is undertaken solely in furtherance of one's education, whether or not completed by a student in pursuit of an educational degree, certificate or diploma and as used by teachers or facilitates teaching of a class, and all administrative staff, faculty and employees, of any college, university, trade school or other school ("Educational Institution"). With the acquisition of an Educational Institution Classroom License, Licensee may install and Operate the Product by a number of Users determined by the applicable invoicing terms within one Educational Institution in one classroom. Within these limitations, you may install the Product as a "Network" Product and run the Product from any networked Client Devices on Licensee's LAN, provided that such Client Devices are located exclusively within one classroom. With the acquisition of an Educational Institution Site License, Licensee may install and Operate the Product by a number of Users determined by the applicable invoicing terms within one Educational Institution in one geographic location. Within these limitations, you may install the Product as a "Network" Product and run the Product from any networked Client Devices on Licensee's LAN, provided that such Client Devices are located exclusively within one office complex within one geographic location. Educational License may be granted exclusively at the discretion of the Licensor upon your submission of a written request discussing your and your employer/employees activities, when applicable, and your reasons for and purposes of Operating the Product.

2.2. Multiple Environment Product; Multiple Language Product; Dual Media Product; Multiple Copies; Bundles. If you use different versions of the Product or different language editions of the Product, if you receive the Product on multiple media, if you otherwise receive multiple copies of the Product, or if you received the Product bundled with other software, the total permitted number of your Client Devices on which all versions of the Product are installed shall correspond to the number of licenses you have obtained from the Licensor provided that unless the licensing terms and the License Key provides otherwise, each purchased license entitles you to install and Use the Product on one (1) Client Device. You may not rent, lease, sublicense, lend or transfer any versions or copies of the Product regardless of whether you use the Product or not, provided that the terms specified in the applicable product invoicing or packaging for the Product specify otherwise.

2.3. Run-time License. If the Product is licensed under Commercial License in accordance to Sections 2.1(e) or 2.1(k), in addition to the licenses and rights granted therein, Licensor grants Licensee a right to display, install, copy and distribute a portion of Licensor Software (the "Run-time Edition") on Client Devices of its customers as part of the Licensee's bundled products (the "Run-time License") in accordance with terms and conditions specified in the License Key, and/or invoicing terms, including the limitations relating to the number Client Devices of such customers or the number of such customers as the case may be, provided that, Licensee shall include a valid and prominent copyright, trademark or any other proprietary notices in its bundled products identifying the Licensor as the owner of the Run-time Edition as may be specified by Licensor from time to time.

2.4. Updates. During the Term of this Agreement, you may download Updates to the Product when and as the Licensor publishes them in its website or through other online services. Notwithstanding any provision to the contrary herein, nothing in this Agreement shall be construed as to grant you any rights or licenses with regard to the New Releases of the Product or to entitle you to any New Release. This Agreement does not obligate the Licensor to provide any Updates. Notwithstanding the foregoing, any Updates that you may receive become part of the Product and the terms of this Agreement apply to them (unless this Agreement is superceded by a further Agreement accompanying such Update or modified version of to the Product).

2.5. Material Terms and Conditions. You specifically agree that each of the terms and conditions of this Section 2 are material and that failure of you to comply with these terms and conditions shall constitute sufficient cause for Licensor to immediately terminate this Agreement and the License granted under this Agreement. The presence of this Section 2.5 shall not be relevant in determining the materiality of any other provision or breach of this Agreement by either party hereto.

3. Additional Covenants; Assignment of Intellectual Property Rights.

3.1. Additional Limitations. Notwithstanding anything to the contrary herein, you may not Operate, Use, or modify the Product in any way as to form the basis for creating a product that provides the same, or substantially the same, functionality as the Product; and in the event you develop any modifications, enhancements, derivative works and/or extensions to the Product, either independently or jointly with Licensor, such modifications, enhancements, derivative works and/or extensions and all rights associated therewith will be the exclusive property of Licensor. You will not grant, either expressly or impliedly, any rights, title, interest, or licenses to any such modifications, enhancements, derivative works and/or extensions to any third party. You will, however, be entitled to use such modifications, enhancements, derivative works and/or extensions under the terms set forth in this Agreement. You hereby assign all right, title and interest in and to such modifications, enhancements, derivative works and/or extensions to the Product to Licensor. You also agree to execute, acknowledge and deliver to Licensor all documents and do all things Licensor deems necessary or desirable, at no cost to but at Licensor expense, to enable Licensor to obtain and secure such modifications, enhancements, derivative works and/or extensions anywhere in the world. You agree to secure all necessary rights and obligations from relevant employees or third parties in order to satisfy the above obligations.

3.2. Reservations of all Rights. The Licensor reserves all rights not expressly granted herein.

3.3. Back-up Copies. You can make one (1) copy of the Product for backup and archival purposes, provided, however, that the original and each copy is kept in your possession or control, and that your installation, Operation and Use of the Product does not exceed that which is allowed in Section 2 hereof.

3.4. Additional Protection Measures. Solely for the purpose of preventing unlicensed and/or unauthorized Use of the Product, including without limitation Run-time Edition, the Software may collect certain non-personal information relating to the hardware of your or your customer's Client Devices and/or install on your or your customer's Client Devices certain technological measures that are designed to prevent unlicensed and/or unauthorized Use and Operation of the Product, and the Licensor may use this technology to confirm that you have a licensed copy of the Product. Such installation or collection of information or updates of these technological measures may occur through and/or during the installation or activation of the Product or Updates. The Product and/or Updates will not install or may fail to Operate if installed contrary to the rights granted under the License or if attempted to be installed or Operated on unlicensed copies of the Product. If you are not using a licensed copy of the Product, you are not allowed to install the Updates. The Licensor will not collect any personally identifiable information from your computer during this process.

4. Term and Termination.

4.1. Term. The term of this Agreement ("Term") shall begin when you download, access or install the Product, whichever is earlier, and shall continue in perpetuity unless otherwise designated in the purchase order, Terms of Use, exhibit or unless otherwise terminated pursuant hereto. Without prejudice to any other rights, this Agreement will terminate automatically if you fail to comply with any of the limitations or other requirements described herein. Upon any termination or expiration of this Agreement, you must immediately cease Operating the Product and all of its components and destroy, uninstall and erase all copies of the Product and all of its components, including without limitation on all systems and all types of media and in computer memory.

4.2. No Rights upon Termination. Upon termination of this Agreement you will no longer be authorized to Operate or Use the Product in any way.

5. Support and Updates.

5.1. Terms of Support. During the Warranty Period as defined below, you are entitled to technical services and support for the Product which is provided to you by Licensor free of charge during the regular business hours (GMT+3), except for locally-observed holidays, and includes the support provided through a special technical support section of the Licensor Site (http://www.microolap.com/support/) ("Warranty Support"). During the Warranty Period, Warranty Support is unlimited and includes technical and support questions and patch fixes. After the expiration of the Warranty Period, you may purchase additional support services from Licensor at current rates as listed at Licensor Site (http://www.microolap.com/support/).

5.2. Updates. During the Warranty Period hereunder and, if your purchasing terms provide for a certain extended period of time during which you are entitled to Updates free of charge (i.e., one year from the time of the purchase of the License), then for such extended period of time, you may download Updates to the Product when and as the Licensor publishes them on the Licensor Site, or through other online services. If the Product is an Update to a previous version of the Product, you must possess a valid license to such previous version in order to use the Update. You may continue to use the previous version of the Product on your Client Device after you receive the Update to assist you in the transition to the Update, provided that: (i) the Update and the previous version are installed on the same computer device; (ii) the previous version or copies thereof are not transferred to another party unless all copies of the Update are also transferred to such party; and (iii) you acknowledge that any obligation the Licensor may have to support the previous version of the Product may be ended upon availability of the Update. Except for the rights to free Updates during the Warranty Period, as further defined herein, nothing in this Agreement shall be construed as to grant you any rights or licenses with regard to the new version or releases of the Product or to entitle you to any new version, upgrade or release. This Agreement does not obligate the Licensor to provide any Updates. Notwithstanding the foregoing, any Updates that you may receive become part of the Product and the terms of this Agreement apply to them (unless this Agreement is superseded by a succeeding agreement accompanying such Update or modified version of the Product). Notwithstanding anything to the contrary herein, nothing herein shall be deemed to entitle you to any Licensor's Optional Updates that are provided by Licensor for a fee, or to any new releases, versions or substitutes of the Product.

5.3. Additional Support and Updates. In addition to the free Support and free Updates provided for in Sections 5.1 and 5.2, you may purchase additional Services, additional Updates or additional Support beyond the applicable period at the ongoing rates and prices published or provided by Licensor.

6. Restrictions.

6.1. No Transfer of Rights. Except as otherwise specifically provided herein or in the applicable Terms of Use, you may not transfer any rights pursuant to this Agreement nor rent, sublicense, lease, loan or resell the Product or permanently or temporarily transfer the Product in any other manner. You may not permit third parties, including any subcontractors, to benefit from the use or functionality of the Product including, without limitations, via a timesharing, service bureau or other arrangement, except to the extent such use is specified in the application price list, purchase order or product packaging for the Product. Except as otherwise provided in Section 1.2 hereof, you may not, without the Licensor's prior written consent, reverse engineer, decompile, disassemble or otherwise reduce any part of the Product to human readable form nor permit any third party to do so, except to the extent the foregoing restriction is expressly prohibited by applicable law. Notwithstanding the foregoing sentence, decompiling the Software is permitted to the extent the laws of your jurisdiction expressly give you the non-waivable right to do so to obtain information necessary to render the Software interoperable with other software; provided, however, that you must first request such information from the Licensor and the Licensor may, in its discretion, either provide such information to you (subject to confidentiality terms) or impose reasonable conditions, including a reasonable fee, on such use of the Software to ensure that the Licensor's and its affiliates' proprietary rights in the Software are protected. Except for the modification permitted under Section 1.2, you may not modify, or create derivative works based upon the Product in whole or in part.

6.2. No Extraction for Separate Use. You shall not have the right to extract or to Use any functionality of this Software, including any DLLs or other compiled units or Object Code fragments other than as part of normal Operation of the Product described in the Documentation and as integral part of Operation and functionality of the Product as a whole.

6.3. Proprietary Notices and Copies. You may not remove any proprietary notices or labels on the Product. You may not copy the Product except as expressly permitted in Section 2 above.

6.4. Compliance with Law. You agree that in Operating the Product and in using any report or information derived as a result of Operating this Product, you will comply with all applicable international, national, state, regional and local laws and regulations, including, without limitation, privacy, trademark, patent, copyright, export control and obscenity law and you shall not use the Product for unethical or illegal business practices or in violation of any obligation to a third party in using, Operating, accessing or running any of the Product and shall not knowingly assist any other person or entity to so violate any obligation to a third party.

7. WARRANTIES AND DISCLAIMERS.

7.1. Limited Warranty. The Licensor warrants that for two (2) months (the "Warranty Period") from the date the Product has been downloaded by you or was made otherwise available to you by Licensor if the Product was supplied to you on other media, the media on which Product has been provided will be free from defects in materials and workmanship and that the Software will perform substantially in accordance with the Documentation or generally conform to the Product's specifications published by the Licensor. Non-substantial variations of performance from the Documentation do not establish a warranty right. THIS LIMITED WARRANTY DOES NOT APPLY TO UPDATES AS APPLIED TO ANY MODIFIED PRODUCT, WHETHER OR NOT SUCH MODIFICATION IS PERMISSIBLE HEREUNDER, TRIAL AND DEMO OR EVALUATION VERSIONS, UPDATES, PRE-RELEASE, TRYOUT, PRODUCT SAMPLER, OR NOT FOR RESALE (NFR) COPIES OF PRODUCT. This limited warranty is void and your support right terminates if the defect or damage has resulted from accident, abuse, or misapplication or any modification, whether or not such modification is permitted hereunder. Notwithstanding anything to the contrary herein, any and all modifications shall be deemed derivative works within the meaning of copyright law and remain subject to the terms of this Agreement, including without limitation Section 1.1 hereof, provided however, that any damage or claims relating to or arising out of any modifications made by Licensee, whether or not permitted hereunder, shall be the sole responsibility of Licensee. To make a warranty claim, you must return the Product to the location where you obtained it along with proof of purchase within such sixty (60) day period of the license fee you paid for the Product. THE LIMITED WARRANTY SET FORTH IN THIS SECTION GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE ADDITIONAL RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

7.2. Customer Remedies. The Licensor and its suppliers' entire liability and your exclusive remedy for any breach of the foregoing warranty shall be at the Licensor's option: (i) return of the purchase price paid for the License, if any, (ii) replacement of the defective media in which the Product is contained, or (iii) correction of the defects, "bugs" or errors within reasonable period of time. You must return the defective media to the place of purchase at your expense with a copy of your receipt. Any replacement media will be warranted for the remainder of the original Warranty Period.

7.3. NO OTHER WARRANTIES. EXCEPT FOR THE FOREGOING LIMITED WARRANTY, AND FOR ANY WARRANTY, CONDITION, REPRESENTATION OR TERM TO THE EXTENT TO WHICH THE SAME CANNOT OR MAY NOT BE EXCLUDED OR LIMITED BY LAW APPLICABLE TO YOU IN YOUR JURISDICTION, THE PRODUCT IS PROVIDED "AS-IS" WITHOUT ANY WARRANTY WHATSOEVER AND THE LICENSOR MAKES NO PROMISES, REPRESENTATIONS OR WARRANTIES, WHETHER EXPRESSED OR IMPLIED, WHETHER BY STATUTE, COMMON LAW, CUSTOM, USAGE OR OTHERWISE, REGARDING OR RELATING TO THE PRODUCT OR CONTENT THEREIN OR TO ANY OTHER MATERIAL FURNISHED OR PROVIDED TO YOU PURSUANT TO THIS AGREEMENT OR OTHERWISE. YOU ASSUME ALL RISKS AND RESPONSIBILITIES FOR SELECTION OF THE PRODUCT TO ACHIEVE YOUR INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED FROM THE PRODUCT. THE LICENSOR MAKES NO WARRANTY THAT THE PRODUCT WILL BE ERROR FREE OR FREE FROM INTERRUPTION OR FAILURE, OR THAT IT IS COMPATIBLE WITH ANY PARTICULAR HARDWARE OR SOFTWARE. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, LICENSOR DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT OF THIRD PARTY RIGHTS, INTEGRATION, SATISFACTORY QUALITY OR FITNESS FOR ANY PARTICULAR PURPOSE WITH RESPECT TO THE PRODUCT AND THE ACCOMPANYING WRITTEN MATERIALS OR THE USE THEREOF. SOME JURISDICTIONS DO NOT ALLOW LIMITATIONS ON IMPLIED WARRANTIES, SO THE ABOVE LIMITATION MAY NOT APPLY TO YOU. YOU HEREBY ACKNOWLEDGE THAT THE PRODUCT MAY NOT BE OR BECOME AVAILABLE DUE TO ANY NUMBER OF FACTORS INCLUDING WITHOUT LIMITATION PERIODIC SYSTEM MAINTENANCE, SCHEDULED OR UNSCHEDULED, ACTS OF GOD, TECHNICAL FAILURE OF THE SOFTWARE, TELECOMMUNICATIONS INFRASTRUCTURE, OR DELAY OR DISRUPTION ATTRIBUTABLE TO VIRUSES, DENIAL OF SERVICE ATTACKS, INCREASED OR FLUCTUATING DEMAND, AND ACTIONS AND OMISSIONS OF THIRD PARTIES. THEREFORE, THE LICENSOR EXPRESSLY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY REGARDING SYSTEM AND/OR SOFTWARE AVAILABILITY, ACCESSIBILITY, OR PERFORMANCE. THE LICENSOR DISCLAIMS ANY AND ALL LIABILITY FOR THE LOSS OF DATA DURING ANY COMMUNICATIONS AND ANY LIABILITY ARISING FROM OR RELATED TO ANY FAILURE BY THE LICENSOR TO TRANSMIT ACCURATE OR COMPLETE INFORMATION TO YOU.

7.4. LIMITED LIABILITY; NO LIABILITY FOR CONSEQUENTIAL DAMAGES. YOU ASSUME THE ENTIRE COST OF ANY DAMAGE RESULTING FROM YOUR USE OF THE PRODUCT AND THE INFORMATION CONTAINED IN OR COMPILED BY THE PRODUCT, AND THE INTERACTION (OR FAILURE TO INTERACT PROPERLY) WITH ANY OTHER HARDWARE OR SOFTWARE WHETHER PROVIDED BY THE LICENSOR OR A THIRD PARTY. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL THE LICENSOR OR ITS SUPPLIERS OR LICENSORS BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL OR INDIRECT DAMAGES, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, LOSS OF DATA, LOSS OF GOODWILL, WORK STOPPAGE, HARDWARE OR SOFTWARE DISRUPTION IMPAIRMENT OR FAILURE, REPAIR COSTS, TIME VALUE OR OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OR INABILITY TO USE THE PRODUCT, OR THE INCOMPATIBILITY OF THE PRODUCT WITH ANY HARDWARE SOFTWARE OR USAGE, EVEN IF SUCH PARTIES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL LICENSOR'S TOTAL LIABILITY TO YOU FOR ALL DAMAGES IN ANY ONE OR MORE CAUSE OF ACTION, WHETHER IN CONTRACT, TORT OR OTHERWISE EXCEED THE AMOUNT PAID BY YOU FOR THE PRODUCT. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY TO THE EXTENT THAT APPLICABLE LAW PROHIBITS SUCH LIMITATION. FURTHERMORE, BECAUSE SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

8. Indemnification

8.1. Indemnification for Violations. In Operating the Product, you agree to use only those materials for which you have the necessary patent, copyright and other permissions, licenses, and/or clearances. You agree to indemnify, defend and hold harmless the Licensor and its respective officers, directors, employees, agents, successors, and assigns (the "Licensor Indemnitees") from any and all losses, liabilities, damages and claims, and all related expenses including without limitation reasonable legal fees and disbursements and costs of investigation, litigation, settlement, judgment, interest and penalties and costs related to, arising from, or in connection with any third-party claim related to, arising from, or in connection with the actual or alleged: (i) infringement by you or by Compiled Units (except when such breach is exclusively attributable to Product) of any third-party intellectual property and/or proprietary right, including, but not limited to, patent, trademark, copyright, trade secret, publicity and/or privacy, (ii) personal injury (including death) or property damage due to gross negligence or intentional misconduct of the Licensee, and (iii) breach by the Licensee of any of its representations, warranties, obligations, and/or covenants set forth herein. You shall promptly notify the Licensor in writing after you become aware of any such claims, but failure to give such notice shall not relieve you of indemnity obligations hereunder. You shall have exclusive control over the settlement or defense of such claims or actions, except that Licensor may appear in the action, at its own expense, through counsel reasonably acceptable to you, only in the event it is mutually determined by the parties that an actual conflict of interest would exist by your representation of the Licensor and you in such action. Licensor shall give you, at your expense, all information and assistance reasonably requested by you to settle or defend such claims or actions. You shall be entitled to retain all monetary proceeds, attorneys' fees, costs and other rewards you receive as a result of defending or settling such claims. In the event you fail to promptly indemnify and defend such claims and/or pay Licensor's expenses, as provided above, Licensor shall have the right to defend itself, and in that case, you shall reimburse the Licensor Indemnitees for all of their attorneys' fees, costs and damages incurred in settling or defending such claims within thirty (30) days of each of Licensor's written requests. Nothing in this Section 3.2 or this Agreement shall be interpreted as to exclude any possible legal recourse against the Licensee.

9. U.S. Government-Restricted Rights.

9.1. Notice to U.S. Government End Users. The Product and accompanying Documentation are deemed to be "Commercial Items," as that term is defined at 48 C.F.R. §2.101, consisting of "Commercial Computer Software" and "Commercial Computer Software Documentation," respectively, as such terms are used in 48 C.F.R. §12.212 or 48 C.F.R. §227.7202, as applicable. Consistent with 48 C.F.R. §12.212 or 48 C.F.R. §§227.7202-1 through 227.7202-4, as applicable, the Commercial Computer Software and Commercial Computer Software Documentation are being licensed to U.S. Government end users (a) only as Commercial Items and (b) with only those rights, including any use, modification, reproduction, release, performance, display or disclosure of the Product and accompanying Documentation, as are granted to all other end users pursuant to the terms and conditions herein. Unpublished rights are reserved under the copyright laws of the United States.

9.2. Export Restrictions. You acknowledge and agree that the Product may be subject to restrictions and controls imposed by the Export Administration Act and the Export Administration Regulations of the United States (the "Acts"). You agree and certify that neither the Product nor any direct product thereof is being or will be used for any purpose prohibited by the Acts. You may not Operate, download, export, or re-export the Product (a) into, or to a national or resident of, any country to which the United States has embargoed goods, or (b) to anyone on the United States Treasury Department's list of Specially Designated Nationals or the U.S. Commerce Department's Table of Deny Orders. By downloading or using the Product, you are representing and warranting that you are not located in, under the control of, or a national or resident of any such country or on any such list. You acknowledge that it is your sole responsibility to comply with any and all government export and other applicable laws and that the Licensor has no further responsibility for such after the initial license to you. You warrant and represent that neither the U.S. Commerce Department, Bureau of Export Administration nor any other U.S. federal agency has suspended, revoked or denied your export privileges. For more information on the U.S. Export Administration Regulations (EAR), 15 C.F.R. Parts 730-774, and the Bureau of Export Administration ("BXA"), please see the BXA homepage (http://www.bxa.doc.gov).

10. Your Information and the Licensor's Privacy Policy

10.1. Privacy Policy. You acknowledge receipt of and agree to the Licensor's privacy statement which is made available to you in connection with installation and is set forth in full at http://www.microolap/about/privacy/. You hereby expressly consent to the Licensor's processing of your personal data (which may be collected by the Licensor or its distributors) according to the Licensor's current privacy policy as of the date of the effectiveness hereof which is incorporated into this Agreement by reference. By entering into this Agreement, you agree that the Licensor may collect and retain information about you, including your name, email address and credit card information. The Licensor may employ other companies and individuals to perform certain functions on its behalf. Examples include fulfilling orders, delivering packages, sending postal mail and e-mail, removing repetitive information from customer lists, analyzing data, providing marketing assistance, processing credit card payments, implementing fraud check policies, and providing customer service. Such companies and individuals may have access to personal information needed to perform their functions, but may not use it for other purposes. The Licensor publishes a privacy policy on the Licensor Site and may amend such policy from time to time in its sole discretion. You should refer to the Licensor's privacy policy prior to agreeing to this Agreement for a more detailed explanation of how your information will be stored and used by the Licensor. If "you" are an organization, you will ensure that each member of your organization (including employees and contractors) about whom personal data may be provided to the Licensor has given his or her express consent to the Licensor's processing of such personal data. Personal data will be processed by the Licensor or its distributors in the country where it was collected. The relevant laws in such jurisdictions regarding processing of personal data may be less or more stringent than the laws in your jurisdiction.

10.2. Public Announcements. The Licensor may identify you to the public as a customer of the Licensor and describe in a customer case study the services and solutions delivered by the Licensor to you. The Licensor may also issue one or more press releases, containing an announcement of the execution and delivery of this Agreement and/or the implementation of the Product by you. Nothing contained in this Section 10.2 shall be construed as an obligation by you to disclose any of your proprietary or confidential information to any third party. In addition, you may opt-out from this Section 10.2 by writing an opt-out request to the Licensor at sales@gf.microolap.com.

11. Miscellaneous.

11.1. Governing Law; Jurisdiction and Venue. This Agreement shall be governed by and construed and enforced in accordance with the laws of the British Virgin Islands without reference to conflicts of law rules and principles. This Agreement shall not be governed by the United Nations Convention on Contracts for the International Sale of Goods, the application of which is expressly disclaimed and excluded. The courts within the British Virgin Islands shall have exclusive jurisdiction to adjudicate any dispute arising out of this Agreement. You agree that this Agreement and any action, dispute, controversy, or claim that may be instituted based on this Agreement, or arising out of or related to this Agreement or any alleged breach thereof, shall be prosecuted exclusively in the courts of the British Virgin Islands and you, to the extent permitted by applicable law, hereby waive the right to change venue to any other state, county, district or jurisdiction; provided, however, that the Licensor as claimant shall be entitled to initiate proceedings in any court of competent jurisdiction.

11.2. Period for Bringing Actions. No action, regardless of form, arising out of the transactions under this Agreement, may be brought by either party hereto more than one (1) year after the cause of action has occurred, or was discovered to have occurred, except that an action for infringement of intellectual property rights may be brought within the maximum applicable statutory period.

11.3. Entire Agreement; Severability; No Waiver. This Agreement is the entire agreement between you and Licensor and supersedes any other prior agreements, proposals, communications or advertising, oral or written, with respect to the Product or to subject matter of this Agreement. You acknowledge that you have read this Agreement, understand it and agree to be bound by its terms. If any provision of this Agreement is found by a court of competent jurisdiction to be invalid, void, or unenforceable for any reason, in whole or in part, such provision will be more narrowly construed so that it becomes legal and enforceable, and the entire Agreement will not fail on account thereof and the balance of the Agreement will continue in full force and effect to the maximum extent permitted by law or equity while preserving, to the fullest extent possible, its original intent. No waiver of any provision or condition herein shall be valid unless in writing and signed by you and an authorized representative of Licensor provided that no waiver of any breach of any provisions of this Agreement will constitute a waiver of any prior, concurrent or subsequent breach. Licensor's failure to insist upon or enforce strict performance of any provision of this Agreement or any right shall not be construed as a waiver of any such provision or right.

11.4. Contact Information. Should you have any questions concerning this Agreement, or if you desire to contact the Licensor for any reason, please contact our Customer Department at http://microolap.com/support/.

© 2004-2007 Microolap Technologies Ltd. All rights reserved. The Product, including the Software and any accompanying Documentation, are copyrighted and protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.


FAQ

Q. Can I try your software before I buy a license?

A. Yes. microOLAP Technologies believes that no customer should have to buy software in order to find out how well it works. Please download trial version from here and install it on your Pocket PC. The trial version of CHM eBook Reader for Pocket PC has some functional restrictions.

Q. Why register?

A. As a registered user of the program, you can:

  • Use the program without trial limitations;
  • Be notified about new releases;
  • Get FREE technical support and updates during one year;
  • Purchase Update Subscription License for the next year with 30% discount.

Q. How do I know if my Pocket PC device can run CHM eBook Reader for Pocket PC?

A. Just install it on your Pocket PC, and run: you'll see the result immediately.

Q. The program can't open my file!

A. Please, provide us this file or the link to it.

Q. The program opens my file, but does something weird.

A. Please keep in mind that CHM Reader just unpacks HTML files from a CHM archive, and calls PPC IE to display them. Probably, the reason is the features of PPC IE. Anyway, we'd be happy to have a look at this file -- please send it to us.

Q. Where I can find books in CHM format?

A. Try to search them on Google: http://www.google.com/search?as_q=rapidshare+chm&num=100. To narrow search results add keywords corresponding to a book you search.

To find IT books do the following:

  1. Find out exact title of a book here: http://safari.informit.com/;
  2. Search this book on p2p networks (you should install eMule from here: http://www.emule-project.net/).


How to use CHM eBook Reader?

Step one: open CHM file

There are two ways to open the *.chm eBook:

  • Open File Explorer, find the *.chm file, and tap it.
  • Run CHM eBook Reader for Pocket PC from the system menu Start | Programs, select File | Open menu item, then choose the *.chm file you want to read, and tap it in the dialog window.

Step two: navigation and reading

  • If you need a certain topic or you do not need to view the document on your home page, then go on to the Contents, Index, or use Joystick;
  • Choose a link from the Contents or Index and tap it;
  • You can also type the word in Search and press the FIND button. If several pages containing the specified word are found then a dialog box containing the list of found topics will appear. There you need to specify the page that should be shown;
  • Transition between search, contents and index tabs is executed from the File menu or Control Panel.


Navigating with Table of Contents

To go to the table of contents, choose File | Contents.

How to expand and collapse a branch:

  • To view all topics in a certain branch tap the (+) sign at the beginning of the branch name;
  • To collapse a branch tap the (-) sign at the beginning of the branch name;
  • You can also use joystick for navigating through tree structure - you can move up, down, left, right, and expand or collapse tree branches.

To view a topic you are interested in, tap it.

How to find a topic in the table of contents:

Press the LOCATE button in the command panel. The contents will be synchronized with the viewed topic. If there is no viewed topic in the table of contents, then the last viewed topic will be shown.


Navigation with Joystick

Joystick is used for scrolling pages and for navigation through the document within Table of Contents.

If the viewed topic is scrolled up to the end, then pushing joystick again will lead to the topic which is upper than the viewed one.

Respectively, if the viewed topic is scrolled down to the end, then pushing joystick again will lead to the topic lower than the viewed one.


Finding Information with Index

To go to the Index, select File | Index.

Index includes a list of words connected with one or more topics in the document. It looks very much the same as Subject Index of printed books.

To view a document with the keyword, choose it from the list with the help of the scroll bar, tap it and press Display button. You can also type in the key word and if it is in the Index, it will be at the top of the list, and then press Display button. The scrolling of the word list is executed using the scroll bar or by Joystick.


Finding Information with Search

To get search results, choose File | Search, and then:

  • Type the word you want to find;
  • Press Search button;
  • Tap the topic you are interested in and press Display button.

Scroll the list of found words using the scroll bar or Joystick.


Menu

If CHM eBook Reader for Pocket PC was launched by Start | Programs, the File menu contains only two active items:

In this case to open a CHM document you sould tap Open menu item.

If the program was started after you tap a CHM file in the File Explorer, the File menu contains all items as shown below:

Menu File contents:

Open
Open CHM file;

Recent Files
Choose and open one of the recent opened files;

Bookmarks
Switch to the Bookmarks window;

Search
Switch to the full-text search window;

Index
Switch to the Index window;

Contents
Switch to the Contents navigation;

HTML
Switch to viewing a chosen topic;

Help

  • Help topics
    Open CHM eBook Reader for Pocket PC help file;
  • About
    Show the program About Box.

Options
Switch to the Options window;

ExitClose program.


Control panel

Control panel contains the following buttons:

Locate

The LOCATE button is used for synchronization of the contents with the viewed topic. If there is no viewed topic in the table of contents, then the last viewed topic will be shown. This may become necessary when you need to know where in the contents the viewed topic is.

Back

Move back to the previously viewed topic. This button functions like the BACK button in Internet Explorer.

Forward

Move forward to the next topic (provided you have viewed it just previously). This button functions like the FORWARD button in Internet Explorer.

Refresh

Refresh the viewed topic. This button functions like the REFRESH button in Internet Explorer.

HOME

Go to the document home page.

Default

Opens the document default page. This button is displayed only if the CHM document developer has defined it.

Bookmark

Use this button to set a bookmark on the current page.

Options

Use this button to switch to the Options window.


Options

To switch to the Options window tap its button on the Control Panel:

or select menu item File | Options...

Display

Text size:

Sets font size.

Language:

Sets national character set. Automatic means that the program tries to detect charset from CHM internal data. Many CHM compilers ignore national charset settings while compilation process, in such cases you may want to set Language directly. This setting is remembered by CHM eBook Reader for each CHM file you read, not globally.

ClearType

Sets if the Microsoft ClearType technology is used for better font display.

Fit to window

Fits the current page to window size if possible.

Show images

Set display or not to display images.

Disable CSS

Turns CSS (cascade style sheets) ON/OFF. May be useful if you need to read text only.

Execute Script

  • If this option is off, CHM file opening is much faster, but external JS files will not be processed. JS files aren't used in most of CHM eBooks.

Show message "Merged file open error"

If you are reding merged CHM files, and one of these files is absent, "Merged file open error" error occurs. Message abiut this error may be turned off.

Bookmarks

Autosave bookmark when file close

On file closing a bookmark pointing to the current place of the current page will be created.

Delete previous autosaved bookmarks

Autobookmarks set in last CHM view will be deleted.

Load last saved bookmark when file open

When file is opened, it will be displayed from the point stored in the last created bookmark.

Search

Highlight found words

All words found by Search function on the current page will be highlighted.

Scroll to first found word's position

Scroll to the first found word automatically.

Show 'Location' in search results:

Shows the name of the CHM file, in which this topic is located. Makes sense only if you're reading merged CHM files.

Menu

Max. number of files to show

Sets the Recent Files list length.

Show *.chm files names

Show CHM files name in the Recent Files list rather than their titles....

with full paths

...including their full paths on the Pocket PC file system.

Show books titles

Show CHM files titles.

General

Associate *.chm file extension with microOLAP CHM eBook Reader

Launch CHM eBook Reader on a CHM file tap, if this option is set.

Load last CHM file while program start

On program start last file from the Recent Files list will be opened.

Show program icon on the task bar

Sets if the program icon is displayed on the system task bar.


Bookmarks

If you need to interrupt your CHM document reading, Bookmarks will help yo to continue read it from the last read place. You can create Bookmarks manually (see below), or using Autobookmarks feature (see Options).

How to create a bookmark:

Press "star" button. The Bookmark creating dialog appears.

Other way to add a bookmark:

  1. Select some text in a topic;
  2. Press "star" button on the Control Panel, or select Add Bookmark menu item in pop-up menu:

In this case selected text will be copied in the bookmark name.

Adding a bookmark:

Press Add button. A new bookmark will be put in the bookmarks list. Now using Display button you can jump to the point of the CHM file on which this bookmark points on.

Bookmarks list editing:

Use Delete button to delete bookmarks from the bookmarks list.


Problems?

 Previous

Sometimes our customers meet problems using CHM eBook Reader for Pocket PC to read some CHM files.

There are two basic reasons of them:

  • Bugs or incompleteness of the CHM eBook Reader for Pocket PC functionality;
  • Errors in the CHM file structure.

Besides of the reason of the problem you met with, we kindly ask you to send a message to our customers support service.

Please note:

Be ready to provide us with a file or a link to it to help us in reproducing the problem.
Previous